%global srcname gnutls


Name:           python-%{srcname}
Version:	3.1.1
Release:	1%{?dist}
Summary:	Python wrapper for the GNUTLS library
Group:		Development/Languages
License:	LGPLv2+
URL:		https://github.com/AGProjects/%{name}
Source0:	https://github.com/AGProjects/%{name}/archive/release-%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch


%description
This package provides a high level object oriented wrapper around gnutls,
as well as low level bindings to the GNUTLS types and functions via ctypes.
The high level wrapper hides the details of accessing the GNUTLS library via
ctypes behind a set of classes that encapsulate GNUTLS sessions, certificates
and credentials and expose them to python applications using a simple API.

The package also includes a Twisted interface that has seamless intergration
with Twisted, providing connectTLS and listenTLS methods on the Twisted reactor
once imported (the methods are automatically attached to the reactor by simply
importing the GNUTLS Twisted interface module).

The high level wrapper is written using the GNUTLS library bindings that are
made available via ctypes. This makes the wrapper very powerful and flexible
as it has direct access to all the GNUTLS internals and is also very easy to
extend without any need to write C code or recompile anything.


%package -n python2-%{srcname}
Summary:	%{summary}
BuildRequires:  python2-devel
BuildRequires:	python2-setuptools
BuildRequires:	gnutls-devel
Requires:	python2-twisted
Requires:	python2-zope-interface
%{?python_provide:%python_provide python2-%{srcname}}


%description -n python2-%{srcname}
This package provides a high level object oriented wrapper around gnutls,
as well as low level bindings to the GNUTLS types and functions via ctypes.
The high level wrapper hides the details of accessing the GNUTLS library via
ctypes behind a set of classes that encapsulate GNUTLS sessions, certificates
and credentials and expose them to python applications using a simple API.

The package also includes a Twisted interface that has seamless intergration
with Twisted, providing connectTLS and listenTLS methods on the Twisted reactor
once imported (the methods are automatically attached to the reactor by simply
importing the GNUTLS Twisted interface module).

The high level wrapper is written using the GNUTLS library bindings that are
made available via ctypes. This makes the wrapper very powerful and flexible
as it has direct access to all the GNUTLS internals and is also very easy to
extend without any need to write C code or recompile anything.


%prep
%setup -q -n python-%{srcname}-release-%{version}


%build
%py2_build


%install
%py2_install


%check
# No usable tests provided by upstream.


%files -n python2-%{srcname}
%license LICENSE
%doc ChangeLog README examples/
%{python2_sitelib}/*


%changelog
* Fri May 12 2017 Peter Lemenkov <lemenkov@gmail.com> 3.1.1-1
- Ver. 3.1.1

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.4-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.4-9
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Mon Jun 30 2014 Toshio Kuratomi <toshio@fedoraproject.org> - 1.2.4-5
- Replace python-setuptools-devel BR with python-setuptools

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Nov 08 2013 Nathanael Noblet <nathanael@gnat.ca> - 1.2.4-3
- Fix bug #1015332

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb  7 2013 Tomáš Mráz <tmraz@redhat.com> - 1.2.4-1
- Updated to 1.2.4 upstream version

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 1.1.9-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Wed Sep  9 2009 Peter Lemenkov <lemenkov@gmail.com> 1.1.9-1
- Ver. 1.1.9

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jun  3 2009 Peter Lemenkov <lemenkov@gmail.com> 1.1.8-3
- Added patch for SRP removal

* Mon Jun  1 2009 Peter Lemenkov <lemenkov@gmail.com> 1.1.8-2
- Added missing BR python-setuptools-devel

* Fri May 29 2009 Peter Lemenkov <lemenkov@gmail.com> 1.1.8-1
- Initial build

